<html>
<head>
<title>OgreSceneQuery.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#typedef-members">Typedefs</a>  </div>
  <div class="headertitle">
<div class="title">OgreSceneQuery.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="OgrePrerequisites_8h_source.html">OgrePrerequisites.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreAxisAlignedBox_8h_source.html">OgreAxisAlignedBox.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreSphere_8h_source.html">OgreSphere.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreRay_8h_source.html">OgreRay.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreRenderOperation_8h_source.html">OgreRenderOperation.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgrePlaneBoundedVolume_8h_source.html">OgrePlaneBoundedVolume.h</a>&quot;</code><br/>
</div>
<p><a href="OgreSceneQuery_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneQuery.html">Ogre::SceneQuery</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">A class for performing queries on a scene.  <a href="classOgre_1_1SceneQuery.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1SceneQuery_1_1WorldFragment.html">Ogre::SceneQuery::WorldFragment</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents part of the world geometry that is a result of a <a class="el" href="classOgre_1_1SceneQuery.html" title="A class for performing queries on a scene.">SceneQuery</a>.  <a href="structOgre_1_1SceneQuery_1_1WorldFragment.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneQueryListener.html">Ogre::SceneQueryListener</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This optional class allows you to receive per-result callbacks from <a class="el" href="classOgre_1_1SceneQuery.html" title="A class for performing queries on a scene.">SceneQuery</a> executions instead of a single set of consolidated results.  <a href="classOgre_1_1SceneQueryListener.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1SceneQueryResult.html">Ogre::SceneQueryResult</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Holds the results of a scene query.  <a href="structOgre_1_1SceneQueryResult.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RegionSceneQuery.html">Ogre::RegionSceneQuery</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Abstract class defining a query which returns single results from a region.  <a href="classOgre_1_1RegionSceneQuery.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AxisAlignedBoxSceneQuery.html">Ogre::AxisAlignedBoxSceneQuery</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Specialises the <a class="el" href="classOgre_1_1SceneQuery.html" title="A class for performing queries on a scene.">SceneQuery</a> class for querying within an axis aligned box.  <a href="classOgre_1_1AxisAlignedBoxSceneQuery.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SphereSceneQuery.html">Ogre::SphereSceneQuery</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Specialises the <a class="el" href="classOgre_1_1SceneQuery.html" title="A class for performing queries on a scene.">SceneQuery</a> class for querying within a sphere.  <a href="classOgre_1_1SphereSceneQuery.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PlaneBoundedVolumeListSceneQuery.html">Ogre::PlaneBoundedVolumeListSceneQuery</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Specialises the <a class="el" href="classOgre_1_1SceneQuery.html" title="A class for performing queries on a scene.">SceneQuery</a> class for querying within a plane-bounded volume.  <a href="classOgre_1_1PlaneBoundedVolumeListSceneQuery.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RaySceneQueryListener.html">Ogre::RaySceneQueryListener</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Alternative listener class for dealing with <a class="el" href="classOgre_1_1RaySceneQuery.html" title="Specialises the SceneQuery class for querying along a ray.">RaySceneQuery</a>.  <a href="classOgre_1_1RaySceneQueryListener.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1RaySceneQueryResultEntry.html">Ogre::RaySceneQueryResultEntry</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This struct allows a single comparison of result data no matter what the type.  <a href="structOgre_1_1RaySceneQueryResultEntry.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RaySceneQuery.html">Ogre::RaySceneQuery</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Specialises the <a class="el" href="classOgre_1_1SceneQuery.html" title="A class for performing queries on a scene.">SceneQuery</a> class for querying along a ray.  <a href="classOgre_1_1RaySceneQuery.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1IntersectionSceneQueryListener.html">Ogre::IntersectionSceneQueryListener</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Alternative listener class for dealing with <a class="el" href="classOgre_1_1IntersectionSceneQuery.html" title="Separate SceneQuery class to query for pairs of objects which are possibly intersecting one another...">IntersectionSceneQuery</a>.  <a href="classOgre_1_1IntersectionSceneQueryListener.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1IntersectionSceneQueryResult.html">Ogre::IntersectionSceneQueryResult</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Holds the results of an intersection scene query (pair values).  <a href="structOgre_1_1IntersectionSceneQueryResult.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1IntersectionSceneQuery.html">Ogre::IntersectionSceneQuery</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Separate <a class="el" href="classOgre_1_1SceneQuery.html" title="A class for performing queries on a scene.">SceneQuery</a> class to query for pairs of objects which are possibly intersecting one another.  <a href="classOgre_1_1IntersectionSceneQuery.html#details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>
<tr><td colspan="2"><h2><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef list&lt; MovableObject * &gt;<br class="typebreak"/>
::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Scene.html#gad79dcd1262d117ecf4d51a5f555d3071">Ogre::SceneQueryResultMovableList</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef list<br class="typebreak"/>
&lt; SceneQuery::WorldFragment * &gt;<br class="typebreak"/>
::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Scene.html#gad9005a54a736be79548ebcdf69dfd448">Ogre::SceneQueryResultWorldFragmentList</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef vector<br class="typebreak"/>
&lt; RaySceneQueryResultEntry &gt;<br class="typebreak"/>
::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Scene.html#ga1d0db569747448aeff27f36ecd717686">Ogre::RaySceneQueryResult</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef std::pair<br class="typebreak"/>
&lt; MovableObject <br class="typebreak"/>
*, MovableObject * &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Scene.html#gaa1ca4f17a1e8bb7381446ae6235869d8">Ogre::SceneQueryMovableObjectPair</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef std::pair<br class="typebreak"/>
&lt; MovableObject <br class="typebreak"/>
*, SceneQuery::WorldFragment * &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Scene.html#gae8f394829e3a85cea6faa915ac391653">Ogre::SceneQueryMovableObjectWorldFragmentPair</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef list<br class="typebreak"/>
&lt; SceneQueryMovableObjectPair &gt;<br class="typebreak"/>
::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Scene.html#gaddcc5a6779ee6a6bb82aeb5f42239a52">Ogre::SceneQueryMovableIntersectionList</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef list<br class="typebreak"/>
&lt; SceneQueryMovableObjectWorldFragmentPair &gt;<br class="typebreak"/>
::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Scene.html#ga2e63733116c49a9931a2989a2cfe1b51">Ogre::SceneQueryMovableWorldFragmentIntersectionList</a></td></tr>
</table>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:53
</p>
</body>
</html>
